' 
' Clean up specified folder at user logon.
' Written by David Hope - http://davehope.co.uk
' 
' Setup:
' + Change the cleanPath variable to the location you wish to empty.
' + Place the script into the startup folder so it launches on boot.
' 
' 


' Create required objects.
' =============================================================================
Set objFSO		=	CreateObject("Scripting.FileSystemObject")
Set objNet		=	CreateObject("WScript.Network") 


' Configuration.
' =============================================================================
Dim cleanPath, username
username		=	objNet.UserName
cleanPath		=	"C:\Document and Settings\" & _
					username & "\Desktop"

' Empty the specified directory.
' =============================================================================
emptyDir( cleanPath )


' Function to delete files & folders recursively.
' =============================================================================
Function emptyDir( dirName )

	Dim dir, file, fileCollection, dirCollection, subDir

	Set dir			=	objFSO.GetFolder( dirName )

	' Delete files in current directory.
	Set fileCollection	=	dir.Files
	For Each file In fileCollection
			objFSO.DeleteFile(file.Path)
	Next

	' Call ourself so as to recursively delete files + directories.
	Set dirCollection	=	dir.SubFolders
	For Each subDir In dirCollection
		emptyDir subDir.Path
	Next


	' Ifd we're on any folder other than the start folder, and it's empty
	' then delete it.
	If dir.Path <> cleanPath AND fileCollection.Count = 0 Then
		objFSO.DeleteFolder( dir )
	End If

End Function
