' 
' List unused computer accounts
' Written by David Hope - http://davehope.co.uk
' 
' Setup:
' + Change the strDomain variable to point to one of your DCs
' + Change the intMaxAge variable to the number of days after which a computer
'   account is considered not in use.
' 


On error Resume Next 

' Configuration.
' =============================================================================
strDomain		=	"nwtraders.msft"
intMaxAge		=	120


' Get object containging accounts and filter to just computers.
' =============================================================================
Set objDomain		=	GetObject("WinNT://" & strDomain ) 
objDomain.Filter	=	Array("computer") 



' Iterate through computers older than the threshold and print their age.
' =============================================================================
WScript.Echo "------------------------------------------------------------------"
WScript.Echo "Showing computer accounts from " & objDomain.Name & " older than " & intMaxAge & " days"
WScript.Echo "------------------------------------------------------------------"
intComputers		=	0

For each objDomainItem in objDomain

	Set objAccount		=	GetObject("WinNT://" & objDomain.Name & "/" & objDomainItem.Name & "$") 
	strPassAge		=	FormatNumber((objAccount.get("PasswordAge")) / 86400 , 0) 

	If CInt(strPassAge) >= CInt(intMaxAge) then 
		WScript.Echo "Name: " & Left(objDomainItem.Name & Space(25),25) & "Age: " & strPassAge & " days"
	End If 

	intComputers		=	intComputers+ 1
Next 


' Display some basic statistics.
' =============================================================================
WScript.Echo	"------------------------------------------------------------------"
WScript.Echo	"Old Computers: " & intComputers  & vbNewLine

set objDomain		=	Nothing 
Wscript.quit
