' 
' Exchange Queue Notification
' Written by David Hope - http://davehope.co.uk
' 
' Setup:
' + Change the strExchangeServer variable to your exchange box.
' + Change the strLinkToCheck variable to the name of an Exchange link to monitor messages for.
' + Change the intThreshhold variable to a number to alert you about when the queue exceeds this value.
' 
'

Dim strExchangeServer, strLinkToCheck, intThreshhold, intLinkMessages, objExchange, listExchangeLinks, exchangeLink


' Required configuration information.
' =============================================================================
strExchangeServer	=	"london"
strLinkToCheck		=	"post.myisp.net"
intThreshhold		=	20

' Create required objects.
' =============================================================================
Set objExchange		=	GetObject( "winmgmts:{impersonationLevel=impersonate}!//" & strExchangeServer & "/root/cimv2/applications/exchange" )
Set listExchangeLinks	=	objExchange.InstancesOf( "ExchangeLink" )



' Iterate through Exchange links.
' =============================================================================
For each exchangeLink in listExchangeLinks

	'
	' If it's our targeted link...
	'
	If exchangeLink.LinkName = strLinkToCheck Then	

		intLinkMessages		=	exchangeLink.NumberOfMessages

		'
		' If we're higher than our threshhold, do something!
		'
		If intLinkMessages > intThreshhold Then
			MsgBox( "Warning, the excange queue has " & intLinkMessages & " messages waiting to be sent" )
		End If

	End If
Next 

