' 
' IIS Site Information
' Written by David Hope - http://davehope.co.uk
' 
' Setup:
' + Change strDBPath to the relative database folder for each website from the
'   webroot folder.
'
'


' Configuration Info.
' =============================================================================
Dim strDBPath
strDBPath			=	"../Data"

' Create required objects.
' =============================================================================
Set objFSO			=	CreateObject("Scripting.FileSystemObject")
Set objIIS			=	getObject("IIS://LocalHost/W3SVC")

WScript.Echo "Log Size	Webroot Size	Database Size	Website Description"


' Iterate through each website printing info.
' =============================================================================
For Each website In objIIS

	' If we're dealing with an IIS website...
	If (website.Class = "IIsWebServer") Then

		Set objWebsite	=	GetObject("IIS://localhost/W3SVC/" & website.name & "/Root")

		' If the root DOESN'T redirect...	
		If objWebsite.HttpRedirect = "" Then
			Set webDir	=	objFSO.GetFolder( objWebsite.Get( "Path" ) )
			webDir		=	formatSize( webDir.size )
			Set logDir	=	objFSO.GetFolder( website.LogFileDirectory & "\W3SVC" & website.name )
			logDir		=	formatSize( logDir.size )
		
			If objFSO.FolderExists( objWebsite.Get( "Path" ) & "/" & strDBPath ) Then
				Set dbDir	=	objFSO.GetFolder( objWebsite.Get( "Path" ) & "/" &  strDBPath )
				dbDir	=	formatSize( dbDir.size )
			Else
				dbDir	=	"Unknown"
			End If	
		
		                WScript.Echo logDir & "		" & webDir & "		" & dbDir & "		" & website.ServerComment
		End If
        End If
Next


' Function to correctly format sizes.
' =============================================================================
Function formatSize( size )

	Dim sizeKB, sizeM, sizeG

	If size > 1024 Then
		sizeKB		=	size / 1024
		formatSize	=	round( sizeKB, 0 ) & "KB"

		' If greater than 1Mb..
		if sizeKB > 1024 Then
			sizeM		=	sizeKB / 1024
			formatSize	=	round( sizeM , 0 ) & "MB"

			' If greater than 1Gb....
			If sizeM > 1024 Then
				sizeG		=	sizeM / 1024
				formatSize	=	round( sizeG , 1 ) & "GB"
			End If

		End if
	Else
		formatSize	=	round( size, 0 ) & "B"
	End If		

End Function